# Grant

Grants are imported from the institutional Grant system (FIBI in the case of JHU). They are associated with the Grant's PIs via their [User](/developer-documentation/pass-core/model/user.md) records. Users of PASS can assign the Grants associated with them to [Submissions](/developer-documentation/pass-core/model/submission.md).

| Field         | Type   | Description                                                                                                                                                                                                                                             |
| ------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id\*          | String | Autogenerated identifier of object                                                                                                                                                                                                                      |
| awardNumber\* | String | Award number from funder                                                                                                                                                                                                                                |
| awardStatus   | String | Status of award ([*see list below*](#status-options))                                                                                                                                                                                                   |
| localKey      | String | A local key assigned to the Grant within the researcher's institution to support matching between PASS and a local system. The value is in the form of : `domain:type:value`. For a grant at JHU, an example would be`"johnshopkins.edu:grant:8675309"` |
| projectName\* | String | Title of the research project                                                                                                                                                                                                                           |
| awardDate\*   | String | DateTime the grant was awarded                                                                                                                                                                                                                          |
| startDate     | String | DateTime the grant started                                                                                                                                                                                                                              |
| endDate       | String | DateTime the grant ended                                                                                                                                                                                                                                |

| Relationship    | Type    | Target                                                       | Description                                                                                                |
| --------------- | ------- | ------------------------------------------------------------ | ---------------------------------------------------------------------------------------------------------- |
| primaryFunder\* | To One  | [Funder](/developer-documentation/pass-core/model/funder.md) | Funder that is the original source of the funds. This will often be the same as directFunder.              |
| directFunder\*  | To One  | [Funder](/developer-documentation/pass-core/model/funder.md) | Funding organization from which funds are directly received. This will often be the same as primaryFunder. |
| pi\*            | To One  | [User](/developer-documentation/pass-core/model/user.md)     | User who is the Principal investigator                                                                     |
| coPis           | To Many | \[[User](/developer-documentation/pass-core/model/user.md)]  | Users who are the co-principal investigators                                                               |

\*required

## Status options

Status options for grant

| Value      | Description              |
| ---------- | ------------------------ |
| active     | Grant currently active   |
| pre\_award | Award not yet received   |
| terminated | Grant period is complete |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.eclipse-pass.org/developer-documentation/pass-core/model/grant.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
